Network address translation (NAT) is a method of mapping an IP address space
into another by modifying network address information in the IP header 
of packets while they are in transit across a traffic routing device.